unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, Buttons, StdCtrls;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    SpeedButton1: TSpeedButton;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure SetCloseButton();
    procedure SpeedButton1Click(Sender: TObject);
    procedure PageControl1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  SpeedButton1.Parent := PageControl1;
  SetCloseButton;
end;

procedure TForm1.SetCloseButton;
begin
  if (PageControl1.PageCount > 0) then begin
    SpeedButton1.Top := PageControl1.TabRect(PageControl1.ActivePageIndex).Top+2;
    SpeedButton1.Left := PageControl1.TabRect(PageControl1.ActivePageIndex).Right-14;
    SpeedButton1.Visible := true;
  end else begin
    SpeedButton1.Visible := false;
  end;
end;


procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  SpeedButton1.Visible := false;
  PageControl1.ActivePage.Free;
  SetCloseButton;
end;

procedure TForm1.PageControl1Change(Sender: TObject);
begin
  SetCloseButton;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  NewTabSheet: TTabSheet;
begin
  NewTabSheet := TTabSheet.Create(PageControl1);
  NewTabSheet.Caption := 'Seite ' + IntToStr(PageControl1.PageCount+1)+ '    ';
  NewTabSheet.PageControl := PageControl1;
  if (PageControl1.PageCount = 1) then SetCloseButton;
end;

end.
